Credentials
Update a credential
Scope: credential:write
Authorization
bearerAuth AuthorizationBearer <token>
An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...
In: header
Path Parameters
credential.id*id
The credential.id path parameter.
Match
^cred-[0-9a-z]+$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/credentials/string" \ -H "Content-Type: application/json" \ -d '{}'{ "credential": { "id": "string", "name": "string", "description": "string", "type": "TYPE_UNSPECIFIED", "auth_config": { "basic_auth": { "username": "string", "password": "string" } }, "labels": { "property1": "string", "property2": "string" }, "created_by": { "id": "string", "display_name": "string", "email": "string" }, "created_at": "2023-01-15T01:30:15.01Z", "updated_at": "2023-01-15T01:30:15.01Z", "allowed_hosts": [ "string" ], "last_used_at": "2023-01-15T01:30:15.01Z" }}